varying vec2	t1,t2,t3,t4;
varying vec2	t0;
uniform vec2 	ofs;

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main()
{
	gl_Position = vec4(s2_vertex,1.0);

	t0.xy=s2_texcoords.xy;

	t1.y=s2_texcoords.y-ofs.y;
	t1.x=s2_texcoords.x;
	t2.y=s2_texcoords.y+ofs.y;
	t2.x=s2_texcoords.x;
	t3.y=s2_texcoords.y;
	t3.x=s2_texcoords.x+ofs.x;
	t4.y=s2_texcoords.y;
	t4.x=s2_texcoords.x-ofs.x;
}